# setComponentVersionsLister

abstract fun setComponentVersionsLister(lister: Class<out ComponentMetadataVersionLister>)

Sets a custom component versions lister. A versions lister will be called whenever a dynamic version is requested.

#### Since

4.9

#### Parameters

lister

the class of the lister.

abstract fun setComponentVersionsLister(lister: Class<out ComponentMetadataVersionLister>, configureAction: Action<in ActionConfiguration>)

Sets a custom component versions lister. A versions lister will be called whenever a dynamic version is requested.

#### Since

4.9

#### Parameters

lister

the class of the lister.

configureAction

the action to use to configure the lister.